// out: ../../css/views/news-views.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// variables & mixings
@import "../variables.scss";

/* VIEWS */
/* - cern-view-display-block cern-view-display-featured_news */
.cern-view-display-block.cern-view-display-featured_news {
  .component-preview-cards {
    background-color: white;
    width: 36%;
    margin-top: 40px;
    min-height: 0;

    .component-preview-cards__box_wrapper {
      min-height: 0;
      height: auto;
    }
  }

  .preview-card {
    &__title {
      h3 {
        margin: 10px 0;

        a {
          color: $blue;
        }
      }
    }

    &__category,
    &__date,
    &__author {
      color: black;

      a {
        color: black;
      }
    }

    /* MANU */
    &__avatar {
      width: 65px !important;
      height: 65px !important;
      min-height: unset;
      background: #999999;
      border-radius: 100%;
      padding: 0;
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-block.cern-view-display-featured_news {
    .component-preview-cards {
      width: 40%;
      margin: 15% 5% 5%;
    }
  }
}

@media only screen and (max-width: 767px) {
  /* MANU */
  .cern-view-display-block.cern-view-display-featured_news {
    .component-preview-cards {
      width: 90%;
      margin: 20% 5% 5%;
    }
  }
}

/* VIEWS */
/* - cern-view-display-block cern-view-display-latest_news */
.cern-view-display-block.cern-view-display-latest_news_pager,
.cern-view-display-block.cern-view-display-latest_featured_news_pager,
.cern-view-display-block.cern-view-display-latest_news,
.cern-view-display-block.cern-view-display-latest_featured_news {
  .view-header {
    h2 {
      text-transform: uppercase;
      font-size: 30px;
      text-align: center;
      margin-bottom: 3rem;
    }
  }

  .view-footer {
    text-align: right;
    margin-top: 3rem;

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        //color: #f2a530;
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }

  .view-content {
    .carousel-cern-item.row {
      .views-row {
        float: left;
      }
    }
  }

  .view-content,
  .carousel-cern-item.row {
    margin: 0 -8px;

    .views-row {
      margin: 8px;
      width: calc(33.333% - 16px);
      float: left;

      .component-preview-cards {
        margin: 0;
        width: 100%;
        background-color: #0855a0;

        .component-preview-cards__box_wrapper {
          //height: 100%;
          .preview-card {
            &__title {
              h3 {
                margin: 10px 0;

                a {
                  color: white;
                }
              }
            }

            &__category,
            &__date,
            &__author {
              color: white;
              font-weight: 200;

              a {
                color: white;
                font-weight: 200;
              }
            }

            &__avatar {
              width: 65px !important;
              height: 65px !important;
              min-height: 0;
              background: #999999;
              border-radius: 100%;
              padding: 0;
            }
          }
        }
      }
    }
  }

  /*
    .view-content {
      display: flex;
      div.views-row {
        padding: 0 7px;
        width: 33.33333%;
        float: left;
        display: flex;
        &:first-child {
            padding-left: 0;
            padding-right: 14px;
        }
        &:last-child {
            padding-left: 14px;
            padding-right: 0;
        }
        .component-preview-cards {
          width: 100%;
          min-height: 200px;
          margin: 0;
          background-color: #0855a0;
          .component-preview-cards__box_wrapper {
            height: 100%;
            .preview-card {
              &__title {
                h3{
                  margin: 10px 0;
                  a {
                    color: white;
                  }
                }
              }
              &__category,
              &__date,
              &__author {
                color: white;
                font-weight: 200;
                a {
                  color: white;
                  font-weight: 200;
                }
              }
              &__avatar {
                width: 65px !important;
                height: 65px !important;
                min-height: 0;
                background: #999999;
                border-radius: 100%;
                padding: 0;
              }
            }
          }
        }
      }
    } */
}

.cern-view-display-block.cern-view-display-latest_featured_news_pager,
.cern-view-display-block.cern-view-display-latest_news_pager {
  .view-content.owl-carousel {
    //,
    //.carousel-cern-item.row {
    margin: 0;
    min-height: 226px;
  }
}

@media only screen and (max-width: 991px) {
  .news-node-full-content-latest-news {
    .cern-view-display-block.cern-view-display-latest_news .view-content {
      display: block;

      .views-row {
        width: 100%;
        padding: 0 !important;
        margin-bottom: 10px;
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-block.cern-view-display-latest_news_pager,
  .cern-view-display-block.cern-view-display-latest_featured_news_pager,
  .cern-view-display-block.cern-view-display-latest_news,
  .cern-view-display-block.cern-view-display-latest_featured_news {
    .view-content {
      .views-row {
        width: calc(100% - 16px) !important;
        height: 210px !important;

        .component-preview-cards {
          height: 100% !important;
        }
      }
    }
  }
}

/* ALL NEWS PAGE VIEW */
.path-news #pre-main-content {
  .block-title {
    margin: 20px auto 40px !important;
    text-align: center;
    color: white;
    text-transform: uppercase;
  }
}

.path-news main {
  padding-top: 3rem;

  .block-views-blocknews-latest-featured-news-pager {
    .view-footer {
      display: none;
    }
  }
}

.path-news .view-cern-all-news {
  & > h1 {
    margin: 3rem 0 !important;
    text-align: center;
  }
}

.path-news .cern-page-display-page {
  .wrapper-center > h1,
  & > h1 {
    margin: 3rem 0 !important;
    text-align: center;
  }

  .views-exposed-form .form-inline {
    margin: 0 -10px;

    .form-item {
      vertical-align: top;

      & > input {
        display: block;
      }

      &:not(:first-child) {
        margin: 10px !important;

        input {
          width: 100%;
        }

        div.select-wrapper select {
          width: 100%;
        }
      }

      /* input, select {
                border-color: black;
                color: black;
            } */
    }

    .form-actions {
      margin: 10px !important;
      vertical-align: bottom !important;
      text-align: right !important;

      button {
        width: 100%;
        /* background: #999999;
                border-color: #999999;
                &:hover, &:active, &:focus {
                    background: #999999;
                    border-color: #999999;
                } */
      }
    }
  }

  .view-header {
    margin: 50px 0;
    text-transform: uppercase;
    font-family: "opensans-bold";

    a {
      position: relative;

      &.active:after {
        content: " ";
        position: absolute;
        width: 100%;
        height: 2px;
        background: #0855a0;
        bottom: -2px;
        left: 0;
      }
    }
  }

  .view-footer {
    text-align: right;
  }

  .view-content {
    margin: 35px 0 0 0;

    .views-row {
      margin-bottom: 25px;
      //width: 100%;
      float: none;
      //margin: 0 15px 30px;
    }
  }
}

// list title
.path-news main {
  h3.preview-list-title {
    @extend %h3;
  }
}

@media only screen and (max-width: 991px) {
  .path-news .cern-page-display-page {
    .views-exposed-form .form-inline {
      .form-item {
        display: inline-block;

        &:first-child {
          margin: 10px 5px 10px 5px;

          &:before {
            left: 0px;
          }
        }
      }

      .form-actions {
        display: inline-block;
        text-align: right;
        width: calc(100% - 20px) !important;
      }
    }
  }
}

@media only screen and (max-width: 500px) {
  .path-news .cern-page-display-page {
    .views-exposed-form .form-inline {
      margin: 0;

      .form-item {
        &:first-child {
          & > input {
            width: 100%;
          }

          &:before {
            left: -5px;
          }
        }

        &:not(:first-child),
        &:first-child {
          width: 100% !important;
          margin-left: 0 !important;
          margin-right: 0 !important;
          display: block !important;
        }
      }

      .form-actions {
        display: block !important;
        width: 100% !important;
        margin: 0px !important;

        button {
          width: auto !important;
        }
      }
    }

    .view-content {
      //margin: 0;
      .views-row {
        margin: 0 0 25px 0;
      }
    }
  }
}

@media only screen and (max-width: 767px) {
  .cern-view-display-page.cern-view-display-all_news_filter,
  .cern-view-display-page.cern-view-display-all_news .view-header {
    margin-bottom: 25px;
  }

  .cern-view-display-page.cern-view-display-all_news_filter,
  .cern-view-display-page.cern-view-display-all_news .view-content {
    margin: 0;

    .views-row {
      margin: 0 0 16px 0 !important;

      .views-field {
        .field-content {
          display: block;

          .box-pattern {
            float: none !important;
          }
        }
      }

      //padding: 3% !important;
      .preview-list-component {
        display: none !important;
      }
    }
  }
}

/* @media only screen and (max-width: 500px) {
  .cern-view-display-page.cern-view-display-all_news .view-content .views-row  {
    padding: 0 !important;
  }
} */
@media only screen and (min-width: 768px) {
  .cern-view-display-page.cern-view-display-all_news_filter
    .view-content
    .views-row,
  .cern-view-display-page.cern-view-display-all_news .view-content .views-row {
    .box-pattern {
      display: none !important;
    }

    .preview-list-component .preview-list-news-info .preview-list-title {
      margin-top: -5px;
    }
  }
}
